% this is the old pandoc source for the man page, it is not used any more
% compile with pandoc -s -w man $^ -o $@
% CAML2HTML(1) Caml2html User Manual
% Sylvain Le Gall 
% November 9, 2010

# NAME

caml2html - colorizes a set of OCaml source files.

# SYNOPSIS

caml2html [options] file\*

# DESCRIPTION

Caml2html colorizes a set of OCaml source files (.ml, .mli, .mll, .mly, ...).
Type annotations will be shown when the mouse pointer passes over an expression
if the corresponding .annot file is available. 

To obtain a .annot file, compile your OCaml source files with `ocamlc -dtypes` or 
`ocamlopt -dtypes`.

# OPTIONS

-annotfilter {innermost|outermost}
:   choose whether innermost or outermost type annotations
    should be used (default: innermost)

-charset <charset>
:   specify charset to use (default: iso-8859-1)

-css 
:   use CSS named style.css for styling

-cssurl <URL>
:   use the given URL as CSS for styling

-inhead 
:   use default styling and place it in the head section
    of the document (default when applicable)

-inline 
:   use inline styling (HTML only, default fallback
    if -inhead is not applicable)

-body 
:   output only document's body, for inclusion into an 
    existing document (see also -make-css and -make-latex-defs)

-ln 
:   add line number at the beginning of each line

-hc 
:   comments are treated as raw HTML or LaTeX code
    (no newlines inside of tags)

-t 
:   add a title to the HTML page

-nf 
:   do not add footnotes to the HTML page

-ie7 
:   drop support for type annotations on Internet Explorer 6 and older

-noannot 
:   do not insert type annotations as read from .annot files 
    (HTML output only)

-notab 
:   do not replace tabs by spaces

-tab <integer>
:   replace tab by n spaces (default = 8)

-d <directory>
:   generate files in directory dir, rather than in current directory

-o <filename>
:   output file

-v 
:   print version number to stdout and exit

-make-css <filename>
:   create CSS file with default color definitions and exit

-ext <NAME:CMD>
:   use the given external command CMD to handle comments that start
    with (\*NAME. NAME must be a lowercase identifier.

-latex 
:   output LaTeX code instead of HTML.

-make-latex-defs <filename>
:   create a file containing the default LaTeX color definitions
    and matching highlighting commands, and exit.
    \usepackage{alltt,color} is not included.

-help|\--help
:   Display this list of options
